unit netdemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  nsurl, StdCtrls, ComCtrls, NSHttpUn;

type
  TForm1 = class(TForm)
    Button1: TButton;
    RichEdit1: TRichEdit;
    NSHttp1: TNSHttp;
    Edit1: TEdit;
    Button2: TButton;
    Memo1: TMemo;
    Stop: TButton;
    ProgressBar1: TProgressBar;
    Label2: TLabel;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure StopClick(Sender: TObject);
    procedure NSHttp1Progress(Sender: TObject);
    procedure NSHttp1StatusStringChange(Sender: TObject; Str: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
NSHttp1.open;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
NSHttp1.OpenUrl(edit1.text);
end;

procedure TForm1.StopClick(Sender: TObject);
begin
NSHttp1.stop;
end;

procedure TForm1.NSHttp1Progress(Sender: TObject);
begin
  // Shows the use of size and BytesRead
  ProgressBar1.max := NSHttp1.Size;    // Some do not give the file size so size may be 0
  if ProgressBar1.max > 0 then
     ProgressBar1.position := NSHttp1.BytesRead;

  // Shows the use of   GetStatus    This is the status returned from Netscape
  // Netscape usually gets the status from the server if the server is found
  label2.caption := 'Status : '+ intToStr( NSHttp1.GetStatus);

  // Shows the use of Buffer property
  // The buffer property returns before the file is finished loading
  // where SaveToFile. SaveToBuffer and SaveToString return when
  // finished loading.
 RichEdit1.lines.clear;
 RichEdit1.lines.text :=  NSHttp1.buffer;

  // Shows the use of Size property
 label1.caption := 'File Size : ' + intToStr(NSHttp1.Size);
end;

procedure TForm1.NSHttp1StatusStringChange(Sender: TObject; Str: string);
begin
// str is the status string
// str is the same as StatusString
memo1.lines.add(str);
end;

end.
